tracker-miner-fs(1)

NAME
tracker-miner-fs - Used to crawl the file system to mine data.

SYNOPSIS
tracker-miner-fs [OPTION...]

DESCRIPTION
tracker-miner-fs is not supposed to be run by the user since it is started by its .desktop file when the user logs in. It can also be started manually of course for debugging purposes. You can not run more than one instance of this at the same time. tracker-miner-fs mines information about applications and files only.

OPTIONS

-?, --help
    Show summary of options.

-V, --version
    Returns the version of this binary.

-v, --verbosity={0|1|2|3}
    Sets the logging level, 0=errors, 1=minimal, 2=detailed, 3=debug.

-s, --initial-sleep=SECONDS
    Sets the initial sleep time before crawling the file system is started. If the --no-daemon option is used, this option is ignored.

-n, --no-daemon
    Tells the miner to exit once all indexing has finished and the database is up to date. This is not the default mode of operation for the miner, usually it stays around acting like a daemon to monitor file updates which may occur over time. This option renders the --initial-sleep option moot.

-e, --eligible=FILE
    Checks if FILE is eligible for being mined based on the current configuration rules. In addition to this, it will check if FILE would be monitored for changes. This works with non-existing FILE arguments as well as existing FILE arguments.

-d, --disable-miner=MINER
    Tells the daemon to disable the in-house miners it supports. Depending on build options, this can be 'Files', 'Applications' and 'Userguides'. This option can be provided more than once to diasable multiple miners. Disable in this case means the miner is not started, though all miners still register themselves on D-Bus and appear there, no actual action is performed otherwise (such as crawling, setting up monitors, or checking mtimes against the file system).

ENVIRONMENT

TRACKER_USE_LOG_FILES
    Don't just log to stdout and stderr, but to log files too which are kept in $HOME/.local/share/tracker/. This came into effect in 0.15.3 and 0.16.0. After this version of Tracker, logging to file (usually useful for debugging) can only be done by declaring this environment variable.

TRACKER_USE_CONFIG_FILES
    Don't use GSettings, instead use a config file similar to how settings were saved in 0.10.x. That is, a file which is much like an .ini file. These are saved to $HOME/.config/tracker/

SEE ALSO
tracker-store(1), tracker-info(1).